# Person

class Person

## Constants

LAST_FIRST_DELIMITER | delimiter between the parts of a person's name in the "Last, First" format.
LAST_COMMA_FIRST_SPLIT_PATTERN | Split pattern for person's name in the "Last, First" format
FIRST_SPACE_LAST_SPLIT_PATTERN | Split pattern for person's name in the "First Last" format
PERSON_NAME_DELIMITER | Pattern for spliting names by one of the following characters at least two space characters new line semicolon
HTML_LINE_BREAK |
DEFAULT_LAST_FIRST_NAMES |

## Methods

__construct(string $firstName = '', string $lastName = '')

No description

static ArrayList
createPersonsListFromArray(ArrayList|array $persons_array)

tries to create an array of persons object from an array of strings

static string
concatAuthorList4BibTeX(ArrayList $authors)

No description

static
createPersonsListFromString($personsString)

No description

static Person
createPersonFromString($personString)

No description

static string
serializePersonNames(ArrayList $persons, bool $lastFirstNames = self::DEFAULT_LAST_FIRST_NAMES, string $delimiter = self::PERSON_NAME_DELIMITER)

No description

static null|string
serializePersonName(Person $person, bool $lastFirstName)

No description

getFirstName()

No description

getLastName()

No description

toString()

No description

__toString()

No description

## Details

###
at line 91
`__construct(string $firstName = '', string $lastName = '')`

#### Parameters

string | $firstName |
string | $lastName |

###
at line 104
`static ArrayList createPersonsListFromArray(ArrayList|array $persons_array)`

tries to create an array of persons object from an array of strings

#### Parameters

ArrayList|array | $persons_array |

#### Return Value

ArrayList |

#### Exceptions

###
at line 123
`static string concatAuthorList4BibTeX(ArrayList $authors)`

#### Parameters

ArrayList | $authors |

#### Return Value

string |

###
at line 140
`static createPersonsListFromString($personsString)`

#### Parameters

| $personsString |

###
at line 153
`static Person createPersonFromString($personString)`

#### Parameters

| $personString |

#### Return Value

Person |

###
at line 188
`static string serializePersonNames(ArrayList $persons, bool $lastFirstNames = self::DEFAULT_LAST_FIRST_NAMES, string $delimiter = self::PERSON_NAME_DELIMITER)`

#### Parameters

ArrayList | $persons |
bool | $lastFirstNames |
string | $delimiter |

#### Return Value

string |

###
at line 212
`static null|string serializePersonName(Person $person, bool $lastFirstName)`

#### Parameters

Person | $person |
bool | $lastFirstName |

#### Return Value

null|string |

###
at line 239
`getFirstName()`

###
at line 243
`getLastName()`

###
at line 247
`toString()`

###
at line 251
`__toString()`